Page MenuHomePhabricator

Articles I edit do not add to my watchlist
Closed, ResolvedPublic

Description

Articles do not get added to the watchlist, even when "Add pages and files I edit to my watchlist" is checked in the preferences.


Version: master
Severity: normal

Details

Reference
bz41573

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 12:57 AM
bzimport set Reference to bz41573.
bzimport added a subscriber: Unknown Object (MLST).
aude created this task.Oct 31 2012, 7:36 AM
aude added a comment.Oct 31 2012, 8:36 AM

This concerns editing items.

sonara.arnav wrote:

If articles added to watchlist manually, it works. But Preference --> Watchlist -->Add does not work.

I guess this is because we don't edit content the usual way, we do it through API calls.

Some stuff is going on at line 286 in ApiEditPage and we need to mimic it in ApiModifyEntity and other modules.

This is not an enhancement. It's a bug.

daniel added a comment.Mar 8 2013, 1:02 PM

This should be handled by Wikidata\EditEntity (not \Wikidata\Api\EditEntity), as Wikidata\EditEntity is essentially our version of the controller login in EditPage.

  • Bug 45961 has been marked as a duplicate of this bug. ***

The hack in https://www.wikidata.org/wiki/MediaWiki:Common.js uses

mw.msg( 'wikibase-save' )

Maybe the resource 'wikibase-save' not loaded when the script is executed.

This can assured by:

mw.loader.using( 'wikibase.ui.PropertyEditTool', function () { ... } );

Patch: I36c6a3a28

This is still incomplete and fails unit tests; but it can already be tested, and feedback is welcome.

Has this been fixed? Items I edit are added to my watchlist and I can't find any gadget being responsible for it.

I do not see any code that would take care of this. I'll finish I36c6a3a28 asap.

If it's "working" on wikidata.org, it's probably some kind of JS hack (gadget or other). I would not consider that a fix.

pinkampersand.wikimedia wrote:

(In reply to comment #11)

If it's "working" on wikidata.org, it's probably some kind of JS hack (gadget
or other). I would not consider that a fix.

Indeed. http://www.wikidata.org/w/index.php?title=MediaWiki%3ACommon.js&diff=7497196&oldid=5042224 is responsible; better than nothing, but far from perfect.

(In reply to comment #12)

(In reply to comment #11)

If it's "working" on wikidata.org, it's probably some kind of JS hack (gadget
or other). I would not consider that a fix.

Indeed.
http://www.wikidata.org/w/index.php?title=MediaWiki%3ACommon.
js&diff=7497196&oldid=5042224
is responsible; better than nothing, but far from perfect.

Doesn't work for me.

I36c6a3a28 is waiting for review

https://gerrit.wikimedia.org/r/54704 (Gerrit Change I36c6a3a285f21cc0f4a1298752b34823140cb736) | change APPROVED and MERGED [by Tobias Gritschacher]

Still does not work for me (Chrome under OSX 10.5.8).

Patch has been merged into the codebase, it's not yet deployed on the servers.